Summary:	Next generation window manager for Xfce
Summary(pl.UTF-8):	Zarządca okien nowej generacji dla Xfce
Name:		xfwm4
Version:	4.20.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/xfce/xfwm4/4.20/%{name}-%{version}.tar.bz2
# Source0-md5:	e74cfb30b6e9ebf9cbaac0827dd534e3
URL:		https://www.xfce.org/projects/xfwm4
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.8
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.72
BuildRequires:	gettext-tools
BuildRequires:	gtk+3-devel >= 3.24.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	libwnck-devel >= 3.14
BuildRequires:	libxfce4ui-devel >= 4.20.0
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 2.000
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xfce4-dev-tools >= 4.20.0
BuildRequires:	xfconf-devel >= 4.20.0
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXcomposite-devel >= 0.2
BuildRequires:	xorg-lib-libXpresent-devel
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-dirs >= 4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfwm4 is a EWMH standard compliant window manager.

%description -l pl.UTF-8
xfwm4 to zarządca okien zgodny ze standardem EWMH.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/themes

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# unknown / unsupported
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hye,ie,fa_IR,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO example.gtkrc-2.0
%attr(755,root,root) %{_bindir}/xfwm4
%attr(755,root,root) %{_bindir}/xfwm4-settings
%attr(755,root,root) %{_bindir}/xfwm4-tweaks-settings
%attr(755,root,root) %{_bindir}/xfwm4-workspace-settings
%dir %{_libdir}/xfce4/xfwm4
%attr(755,root,root) %{_libdir}/xfce4/xfwm4/helper-dialog

%{_desktopdir}/*.desktop

%dir %{_datadir}/xfwm4
%{_datadir}/xfwm4/defaults
%{_datadir}/themes/*
%{_iconsdir}/hicolor/*/*/*
%changelog
* Sat Dec 21 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfwm4.git;a=log;h=master

* Sat Dec 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1d5f25f
- up to 4.20.0

* Fri Dec 16 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> cb3b512
- up to 4.18.0

* Sat Jan 09 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fc36b91
- up to 4.16.1

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c2af439
- up to 4.16.0

* Sun Aug 09 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2f08b25
- up to version 4.14.5

* Wed Aug 05 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fb23b50
- up to version 4.14.4. Made adapter script happy.

* Wed Jul 22 2020 Krzysztof Mrozowicz <mrozowik@@pld-linux.org> 2f3ab2a
- up tp version 4.14.2

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 1dca3d5
- up to 4.14.0

* Wed Jul 03 2019 Jan Rękorajski <baggins@pld-linux.org> 8309787
- rel 1

* Tue Jul 02 2019 Jan Rękorajski <baggins@pld-linux.org> ed87c64
- up to.4.13.3

* Sun Jun 09 2019 Jan Rękorajski <baggins@pld-linux.org> 68ba5c4
- up to 4.13.2

* Mon Jun 11 2018 Jan Rękorajski <baggins@pld-linux.org> f9ee30d
- use latest git snap

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> 51f5c65
- up to 4.13.0

* Sun Mar 29 2015 Jan Rękorajski <baggins@pld-linux.org> ae9de47
- up to 4.12.2

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 16cd81c
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> aefb048
- updated gettext BR

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> 6bc37a1
- up to 4.11.2

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 29cf768
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 7202ca8
- update md5sum

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> f419618
- 4.10.0

